get_config_string(3)

NAME
get_config_string

SYNOPSIS
#include <allegro.h>

const char *get_config_string(const char *section, const char *name, const char *def);

DESCRIPTION
Retrieves a string variable from the current config file. If the named variable cannot be found, or its entry in the config file is empty, the value of def is returned. The section name may be set to NULL to read variables from the root of the file, or used to control which set of parameters (eg. sound or joystick) you are interested in reading.

SEE ALSO
set_config_file(3), set_config_string(3), get_config_argv(3), get_config_float(3), get_config_hex(3), get_config_int(3), get_config_id(3)